## ros-foxy-ros2action 0.9.13

=== debian/changelog ===
ros-foxy-ros2action (0.9.13-1focal) focal; urgency=high

  * Added changelogs
  * Contributors: Dharini Dutia

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-ros2action (0.9.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-ros2action (0.9.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-ros2action (0.9.10-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-ros2action (0.9.9-1focal) focal; urgency=high

  * 0.9.9
  * Contributors: Audrow Nash

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 24 Mar 2021 00:00:00 -0000

ros-foxy-ros2action (0.9.8-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.7-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.3-1focal) focal; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 06 May 2020 00:00:00 -0000

ros-foxy-ros2action (0.9.0-1focal) focal; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * used get_available_rmw_implementations from rclpy (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon (#459 <https://github.com/ros2/ros2cli/issues/459>)
  * use f-string (#448 <https://github.com/ros2/ros2cli/issues/448>)
  * only load required entry points which improves the performance (#436 <https://github.com/ros2/ros2cli/issues/436>)
  * [ros2action] Refactor send_goal implementation (#406 <https://github.com/ros2/ros2cli/issues/406>)
  * Merge branch 'master' of github.com:ros2/ros2cli
  * [ros2action] Remove show verb (#405 <https://github.com/ros2/ros2cli/issues/405>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jacob Perron, Peter Baughman, Steven! Ragnarök, claireyywang

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-ros2action (0.8.6-1focal) focal; urgency=high

  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#399 <https://github.com/ros2/ros2cli/issues/399>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ros2action (0.8.5-1focal) focal; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 14 Nov 2019 00:00:00 -0000

ros-foxy-ros2action (0.8.4-1focal) focal; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-ros2action (0.8.3-1focal) focal; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output (#304 <https://github.com/ros2/ros2cli/issues/304>)
  * ensure ros2 interface show has trailing newline (#368 <https://github.com/ros2/ros2cli/issues/368>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-ros2action (0.8.2-1focal) focal; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Oct 2019 00:00:00 -0000

ros-foxy-ros2action (0.8.1-1focal) focal; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-ros2action (0.8.0-1focal) focal; urgency=high

  * install resource marker file for packages (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Update setup.py version (#331 <https://github.com/ros2/ros2cli/issues/331>)
  * install package manifest (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Pass keyword arguments by name (#317 <https://github.com/ros2/ros2cli/issues/317>)
  * Add action send_goal prototype completer (#301 <https://github.com/ros2/ros2cli/issues/301>)
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-foxy-ros2action (0.7.4-1focal) focal; urgency=high

  * [ros2action] Support multiple part action type names for 'send_goal' verb (#261 <https://github.com/ros2/ros2cli/issues/261>)
  * use three-part interface names in msg/srv/action show and msg/srv/ list (#259 <https://github.com/ros2/ros2cli/issues/259>)
  * reset goal_handle to avoid attempt to cancel (#254 <https://github.com/ros2/ros2cli/issues/254>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-ros2action (0.7.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-ros2action (0.7.2-1focal) focal; urgency=high


